Bug 187208 - USB Removable Devices Fail to be mounted
USB Removable Devices Fail to be mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 03:25 EST by Dhanesh Ramachandram
Modified: 2008-05-06 11:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (19.92 KB, text/plain)
2006-03-29 20:28 EST, Dhanesh Ramachandram
no flags Details
dmesg (22.10 KB, application/octet-stream)
2006-08-30 16:14 EDT, Red Crayon
no flags Details

  None (edit)
Description Dhanesh Ramachandram 2006-03-29 03:25:50 EST
Description of problem:

None of the USB removable drives are recognized nor properly mounted. This
includes USB 1.1 and USB 2.0 devices

Version-Release number of selected component (if applicable):


How reproducible:

Reproducible on each instance


Steps to Reproduce:
1.Plug in USB removable drive 
2. 
3.
  
Actual results:

Nothing appears on the Gnome Desktop or Computer. Cannot browse /media/..

Expected results:

USB removable disk mounted and icon displayed on desktop



Additional info:

Message from /var/log/messages:

Mar 28 16:39:19 localhost kernel: usb 2-1: new full speed USB device
>> > using uhci_
>> > hcd and address 3
>> > Mar 28 16:39:19 localhost kernel: usb 2-1: device descriptor read/64,
>> > error -32
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: device descriptor read/64,
>> > error -32
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: new full speed USB device
>> > using uhci_
>> > hcd and address 4
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: device descriptor read/64,
>> > error -32
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: device descriptor read/64,
>> > error -32
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: new full speed USB device
>> > using uhci_
>> > hcd and address 5
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: device not accepting
>> address
>> > 5, error
>> >  -71
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: new full speed USB device
>> > using uhci_
>> > hcd and address 6
>> > Mar 28 16:39:20 localhost kernel: usb 2-1: device not accepting
>> address
>> > 6, error
Comment 1 Pete Zaitcev 2006-03-29 03:51:58 EST
The -32 is a stall. Device refuses to perform the descriptor read,
which is quite wild. Usually it's a bad device, but in this case the
requestor says "None of deviceS".

Is there a kernel which works? FC-4? Anything?

What is wrong with error messages? They obviously were passed through
e-mail a few times. Does this happen on requestor's box or elsewhere?
Comment 2 Dhanesh Ramachandram 2006-03-29 04:02:07 EST
Hi,

sorry, the error messages did pass through e-mail several times. :-). The
devices in question, I have tested 3 of them, worked well with FC4. This problem
is evident on two of my computers a Dell D600 Laptop and a Dell Precision
Workstation. 
Does this have anything to do with the removal of fstab-sync in FC5 ? 
Comment 3 Pete Zaitcev 2006-03-29 13:37:17 EST
No, it's purely a kernel issue, if anything.

Why don't you attach a full dmesg? Please do not drop it into comments box.
Comment 4 Dhanesh Ramachandram 2006-03-29 20:28:59 EST
Created attachment 127038 [details]
dmesg 

here's the dmesg output. towards the end of the file, you'll note that when I
insert the usb1.1 device, error-32 is generated. next, i inserted a usb2.0
removable hardisk, but no icon is shown on the gnome desktop. neither can i use
gnome-mount or mount command to mount these devices. Additionaly, it may help
to note that the removable disks either have FAT or NTFS partitions.
Comment 5 Red Crayon 2006-08-30 16:14:22 EDT
Created attachment 135241 [details]
dmesg
Comment 6 Red Crayon 2006-08-30 16:16:40 EDT
I am having similar problem.  error-110

I have used this exact-same thumbdrive on FC5
on other machines, without ANY problems.

On this new machine, it won't (auto)mount.

If I (re)boot with the memory stick in place,
it is mounted and works.  So something works...
it's just not hot-pluggable.
Comment 7 Dave Jones 2006-10-16 16:46:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Red Crayon 2006-10-17 19:30:17 EDT
new kernel:
 2.6.18-1.2200.fc5smp

same problem:

usb 2-2: new high speed USB device using ehci_hcd and address 3
usb 2-2: device not accepting address 3, error -110
usb 2-2: new high speed USB device using ehci_hcd and address 4
usb 2-2: device not accepting address 4, error -110
usb 2-2: new high speed USB device using ehci_hcd and address 5
usb 2-2: device not accepting address 5, error -110
usb 2-2: new high speed USB device using ehci_hcd and address 6
usb 2-2: device not accepting address 6, error -110

Sorry!


Comment 9 Riku Seppala 2007-07-02 07:20:52 EDT
same problem... (error -110) f7 2.6.21-1.3228.fc7

modprobe -r ehci-hcd makes it work, but I shouldn't have to type that everytime
I plug in my camera.
Comment 10 Bug Zapper 2008-04-03 22:20:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 11:41:37 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.